var Immo = function () {};

/*
 * Add Event when the App loaded
 */
Immo.Load = function (parameter)
{
    this.LoadEvent();
};

/*
 * Add event
 */
Immo.LoadEvent = function ()
{
    Dashboard.AddEventAppMenu(Immo.Execute, "", "Immo");
    Dashboard.AddEventWindowsTool("Immo");
};

/***
 * Start the Event for Member 
 */
Immo.LoadMember = function () {
};

/*
 * Execute a function
 */
Immo.Execute = function (e)
{
    //Call the function
    Dashboard.Execute(this, e, "Immo");
    return false;
};

/***
 * Init the app front page
 */
Immo.Init = function (app, method) {
    if (app == "Immo") {
        switch (method) {
            default :
                break;
        }
    }
};

/***
 * Init the Admin Widget
 */
Immo.InitAdminWidget = function () {

};